OpenVDB: CheckMax< GridT, TreeIterT > Struct Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
CheckMax< GridT, TreeIterT > Struct Template Reference

Checks a value against a maximum. More...

`#include <openvdb/tools/Diagnostics.h>`

## Public Types
using | ElementType = typename VecTraits< typename GridT::ValueType >::ElementType
using | TileIterT = TreeIterT
using | VoxelIterT = typename tree::IterTraits< typename TreeIterT::NodeT, typename TreeIterT::ValueIterT > ::template NodeConverter< typename GridT::TreeType::LeafNodeType >::Type

## Public Member Functions
| CheckMax (const ElementType &_max)
| Constructor taking a maximum to be tested against.
bool | operator() (const ElementType &v) const
| Return true if the value is larger than max.
template<typename T >
std::enable_if< VecTraits< T >::IsVec, bool >::type | operator() (const T &v) const
| Return true if any of the vector components are larger than max.
bool | operator() (const TreeIterT &iter) const
| Return true if the tile at the iterator location is larger than max.
bool | operator() (const VoxelIterT &iter) const
| Return true if the voxel at the iterator location is larger than max.
std::string | str () const
| Return a string describing a failed check.

## Public Attributes
const ElementType | maxVal

## Detailed Description

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>
struct openvdb::v11_0::tools::CheckMax< GridT, TreeIterT >

Checks a value against a maximum.

## Member Typedef Documentation

## ◆ ElementType

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

using ElementType = typename VecTraits<typename GridT::ValueType>::ElementType

## ◆ TileIterT

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

using TileIterT = TreeIterT

## ◆ VoxelIterT

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

using VoxelIterT = typename tree::IterTraits<typename TreeIterT::NodeT, typename TreeIterT::ValueIterT> ::template NodeConverter< typename GridT::TreeType::LeafNodeType>::Type

## Constructor & Destructor Documentation

## ◆ CheckMax()

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

CheckMax | ( | const ElementType & | _max | ) |
| inline

Constructor taking a maximum to be tested against.

## Member Function Documentation

## ◆ operator()() [1/4]

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const ElementType & | v | ) | const
| inline

Return true if the value is larger than max.

## ◆ operator()() [2/4]

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>
template<typename T >

std::enable_if< VecTraits< T >::IsVec, bool >::type operator() | ( | const T & | v | ) | const
| inline

Return true if any of the vector components are larger than max.

## ◆ operator()() [3/4]

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const TreeIterT & | iter | ) | const
| inline

Return true if the tile at the iterator location is larger than max.

## ◆ operator()() [4/4]

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const VoxelIterT & | iter | ) | const
| inline

Return true if the voxel at the iterator location is larger than max.

## ◆ str()

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

std::string str | ( |  | ) | const
| inline

Return a string describing a failed check.

## Member Data Documentation

## ◆ maxVal

template<typename GridT , typename TreeIterT = typename GridT::ValueOnCIter>

const ElementType maxVal